package net.saltymc.eaa.handler.commands;

import net.fabricmc.fabric.api.client.command.v1.FabricClientCommandSource;

import java.util.Set;

public interface Command {

    boolean run(final FabricClientCommandSource cs, String[] args);

    String getCommand();

    Set<String> getAlias();

    boolean acceptInput();

    /**
     * should message get intercepted and not send to Server?
     */
    boolean intercept();

}
